<?php

function avatar($user_id, $avsize)
{
global $mysql;

$avsize_arr = explode('|',$avsize);
$title = $avsize_arr[0];


    // проверяем существует ли пользователь
    if (one($mysql->query("SELECT * FROM `".PREFIX."users` WHERE `id` = '". num($user_id) ."'")) == 1) $user = true;

    // проверяем наличие аватара
    if ($user == true && file_exists(ROOT .'/images/avatars/'. num($user_id) .'.gif')) $avatar = '<img src="'. HOME .'/images/avatars/'. num($user_id) .'.gif" alt="Включите показ изображений в браузере" width="'.$avsize_arr[0].'" height="'.$avsize_arr[1].'"/>';
    else if ($user == true && file_exists(ROOT .'/images/avatars/'. num($user_id) .'.png')) $avatar = '<img src="'. HOME .'/images/avatars/'. num($user_id) .'.png" alt="Включите показ изображений в браузере"  width="'.$avsize_arr[0].'" height="'.$avsize_arr[1].'"/>';
    else if ($user == true && file_exists(ROOT .'/images/avatars/'. num($user_id) .'.jpg')) $avatar = '<img src="'. HOME .'/images/avatars/'. num($user_id) .'.jpg" alt="Включите показ изображений в браузере"  width="'.$avsize_arr[0].'" height="'.$avsize_arr[1].'"/>';
    else $avatar = '<img src="'. HOME .'/images/avatars/no_avatar.png" alt="Нет аватара"  width="'.$avsize_arr[0].'" height="'.$avsize_arr[1].'"/>';

	return $avatar;
}

?>
